ignite-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From anovi...@apache.org
Subject [1/2] incubator-ignite git commit: # ignite-663 Fixed build.
Date Thu, 02 Apr 2015 07:50:43 GMT
Repository: incubator-ignite
Updated Branches:
  refs/heads/ignite-sprint-3 505a7bf22 -> 9b2310902


# ignite-663 Fixed build.


Project: http://git-wip-us.apache.org/repos/asf/incubator-ignite/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-ignite/commit/588cff34
Tree: http://git-wip-us.apache.org/repos/asf/incubator-ignite/tree/588cff34
Diff: http://git-wip-us.apache.org/repos/asf/incubator-ignite/diff/588cff34

Branch: refs/heads/ignite-sprint-3
Commit: 588cff346be3cb47e65f3aeea693c8e158001dd7
Parents: d297e06
Author: anovikov <anovikov@gridgain.com>
Authored: Wed Apr 1 17:12:54 2015 +0700
Committer: anovikov <anovikov@gridgain.com>
Committed: Wed Apr 1 17:12:54 2015 +0700

----------------------------------------------------------------------
 DEVNOTES.txt   |  2 ++
 parent/pom.xml | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-ignite/blob/588cff34/DEVNOTES.txt
----------------------------------------------------------------------
diff --git a/DEVNOTES.txt b/DEVNOTES.txt
index 2e8e431..3a712c7 100644
--- a/DEVNOTES.txt
+++ b/DEVNOTES.txt
@@ -8,6 +8,8 @@ With LGPL dependencies:
 
 Look for ignite-fabric-<version>.zip in ./target directory.
 
+NOTE: JDK version should be 1.7.0-* or >= 1.8.0-u40.
+
 
 JCache TCK compliance
 ======================

http://git-wip-us.apache.org/repos/asf/incubator-ignite/blob/588cff34/parent/pom.xml
----------------------------------------------------------------------
diff --git a/parent/pom.xml b/parent/pom.xml
index f408434..f475b85 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -497,7 +497,14 @@
                 <configuration>
                     <rules>
                         <requireJavaVersion>
-                            <version>[1.7,)</version>
+                            <!--Detected JDK Version: 1.8.0 is not in the allowed range
[1.7,1.8),[1.8.0-40,).-->
+                            <message>
+[INFO] ------------------------------------------------------------------------
+[ERROR] You are trying to compile Apache Ignite with inappropriate JDK version!
+[ERROR] Detected JDK Version: ${java.runtime.version}
+[ERROR] JDK version should be 1.7.0-* or >= 1.8.0-u40.
+                            </message>
+                            <version>[1.7,1.8),[1.8.0-40,)</version>
                         </requireJavaVersion>
                     </rules>
                 </configuration>
@@ -641,6 +648,7 @@
             <id>release</id>
             <activation>
                 <activeByDefault>true</activeByDefault>
+                <jdk>[1.8,)</jdk>
             </activation>
             <build>
                 <plugins>


Mime
View raw message